﻿@model ContosoUniversity.Models.ThongtinSuCo

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_LayoutCommon.cshtml";
}

<style>
    .phanloaiSC {
        border: 1px solid;
        margin-left: 80px;
        width: 37%;
    }

    @@media only screen and (min-width : 46.25em) and (max-width: 63.9375em) {
        .phanloaiSC {
            margin-left: 20px;
            width: 40%;
        }
    }

    @@media only screen and (max-width: 46.1875em) {
        .phanloaiSC {
            margin-left: 20px;
            width: 80%;
        }
    }
</style>
<h2 class="subtitle1">Cập nhật thông tin sự cố</h2>

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

<div class="form-horizontal">
    <h4>Sự cố - @Model.ThongtinSuCoID</h4>
    <hr />
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    @Html.HiddenFor(model => model.ThongtinSuCoID)  

    <div class="form-group">
        @Html.LabelFor(model => model.NhatKyID, "Chọn nhật ký", htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.DropDownListFor(x => x.NhatKyID, new SelectList(ViewBag.comboNhatKy, "ID", "Name"), new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.NhatKyID, "", new { @class = "text-danger" })
        </div>
    </div>

    @*Ngày xảy ra sự cố*@
    <div class="form-group">
        @Html.LabelFor(model => model.Ngayxayrasuco, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @*@Html.EditorFor(model => model.Ngayxayrasuco, new { htmlAttributes = new { @class = "form-control" } })*@
            @Html.EditorFor(model => model.Ngayxayrasuco, new { htmlAttributes = new { @class = "form-control", @placeholder = "21/06/2022 16:13" } })
            @Html.ValidationMessageFor(model => model.Ngayxayrasuco, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.MoTaNganSuCo, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.MoTaNganSuCo, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.MoTaNganSuCo, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.NguoiMota, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.NguoiMota, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.NguoiMota, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Cachkhacphuc, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.TextAreaFor(model => model.Cachkhacphuc, new { @class = "form-control" })
            @*@Html.EditorFor(model => model.Cachkhacphuc, new { htmlAttributes = new { @class = "form-control" } })*@
            @*@Html.ValidationMessageFor(model => model.Cachkhacphuc, "", new { @class = "text-danger" })*@


        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.NguoiDeNghiKhacPhuc, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.NguoiDeNghiKhacPhuc, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.NguoiDeNghiKhacPhuc, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @*@Html.EditorFor(model => model.Trangthaixuly, new { htmlAttributes = new { @class = "form-control" } })*@

        @*@Html.ValidationMessageFor(model => model.Trangthaixuly, "", new { @class = "text-danger" })*@

        @Html.LabelFor(model => model.Trangthaixuly, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.DropDownListFor(model => model.Trangthaixuly, new SelectList(ViewBag.EnumTrangThaiXuLy, "Name", "Name"), String.Empty, new { @class = "form-control" })

            @*@Html.EditorFor(model => model.Trangthaixuly, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Trangthaixuly, "", new { @class = "text-danger" })*@
        </div>
    </div>

    <div class="form-group">
        @*@Html.LabelFor(model => model.HoSo, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.HoSo, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.HoSo, "", new { @class = "text-danger" })
            </div>*@
        <fieldset class="phanloaiSC" @*style="border: 1px solid; margin-left:20px; width:81%;"*@>
            <legend style="width:auto;border-bottom:none; margin-bottom: 0px;"><b style="font-size:14px">Phân loại sự cố</b></legend>

            <table>
                <tr>
                    <td style="padding-right: 10px; padding-left: 10px;">
                        @Html.CheckBoxFor(x => x.LoaiSuCoThoigianvanhanh)
                        Thời gian vận hành
                    </td>
                    <td style="padding-right: 10px;">
                        @Html.CheckBoxFor(x => x.LoaiSuCochisohoahoc)
                        Chỉ số hóa học
                    </td>
                    <td style="padding-right: 10px;">
                        @Html.CheckBoxFor(x => x.LoaSuCoHuHongThietBi)
                        Hư hỏng thiết bị
                    </td>
                </tr>

            </table>
        </fieldset>
    </div>

    <div class="form-group">
        <div class="col-md-offset-2 col-md-10" style="width: 29%;">
            <input type="submit" value="Lưu" class="btn btn-default" style="float:right;" />
        </div>
    </div>
</div>
}

<div>
    @Html.ActionLink("Về trang xem danh sách", "Index")
</div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"
        integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
        crossorigin="anonymous"></script>
<script>
    $(function () {
        $("#NhatKyID").chosen({ placeholder_text_single: "Chọn nhật ký", allow_single_deselect: true, search_contains: true });
    });
</script>